# -*- encoding: utf-8 -*-

from rest_framework import serializers


class TokenSerializer(serializers.Serializer):
    host = serializers.CharField(required=True, max_length=128, help_text="Целевой хост для подключения")
    port = serializers.IntegerField(required=True, help_text="Целевой порт для подключения")
    ssl_target = serializers.BooleanField(required=True, help_text="Использовать SSL")
