from termidesk.core.policies.BasePolicy import BasePolicy
from termidesk.core.policies.mixins import ChoicesPolicyUIMixin


class ClipboardEnabledPolicy(ChoicesPolicyUIMixin, BasePolicy):
    """Политика Буфера обмена в протоколе доставки "SPICE (vdi-viewer, эксперим.)"""

    typeName = 'Буфер обмена в протоколе доставки "SPICE (vdi-viewer, эксперим.)"'
    typeType = 'ClipboardEnabledPolicy'
    typeDescription = (
        'Разрешение на использование буфера обмена в протоколах доставки.\n'
        'Примечание: Политика пока применяется только для протокола "SPICE (vdi-viewer, эксперим.)"'
    )
