from termidesk.core.policies.BasePolicy import BasePolicy
from termidesk.core.policies.mixins import ChoicesPolicyUIMixin


class FullScreenPolicy(ChoicesPolicyUIMixin, BasePolicy):
    """Политика ограничения работы в полноэкранном режиме (для SPICE)"""

    typeName = "Полноэкранный режим (для SPICE)"
    typeType = "FullScreenPolicy"
    typeDescription = 'Политика ограничения работы в полноэкранном режиме'
