# -*- encoding: utf-8 -*-

from rest_framework import serializers


class AuthenticatorBasicInfoSerializer(serializers.Serializer):
    authId = serializers.IntegerField(source="id", read_only=True, help_text="ID домена аутентификации")
    authUuid = serializers.UUIDField(source="uuid", read_only=True, help_text="UUID домена аутентификации")
    authSmallName = serializers.CharField(source="small_name", read_only=True, help_text="Короткое имя")
    auth = serializers.CharField(source="name", read_only=True, help_text="Название домена")
    type = serializers.CharField(source="data_type", read_only=True, help_text="Тип домена")
