from django.conf.urls import url
from termidesk.api.auth.draft import api_version as draft_version
from termidesk.api.auth.draft import urls as draft_urls
from termidesk.api.auth.v1 import api_version as v1_version
from termidesk.api.auth.v1 import urls as v1_urls
from django.urls import include

app_name = 'auth'
path_draft = r'^{}/'.format(draft_version)
path_v1 = r'^{}/'.format(v1_version)

urlpatterns = [
    url(path_v1, include(v1_urls, namespace=v1_version)),
    url(path_draft, include(draft_urls, namespace=draft_version)),
]