from rest_framework.response import Response
from rest_framework.schemas.openapi import AutoSchema
from rest_framework.views import APIView
from termidesk.api.permissions import AccessPermission


class Index(APIView):
    permission_classes = [AccessPermission]
    schema = AutoSchema(tags=('index',))

    def get(self, request, format=None):
        return Response({})
