# -*- coding: utf-8 -*-


import os

if __name__ == "__main__":
    try:
        os.environ.setdefault("DJANGO_SETTINGS_MODULE", "server.settings")
        import django
        django.setup()

        from uds.core.util.Config import GlobalConfig
        GlobalConfig.initialize()

        from uds.core.managers.TaskManager import TaskManager

        manager = TaskManager()
        manager.run()
    except Exception as e:
        # В python 3.5.3 возникает ошибка
        # TypeError: 'NoneType' object is not callable
        # на этапе сбора мусора
        import traceback
        print(traceback.format_exc())
